<?php

namespace MailerLite_Woo\GuzzleHttp\Promise;

final class Is
{
    /**
     * Returns true if a promise is pending.
     *
     * @return bool
     */
    public static function pending(\MailerLite_Woo\GuzzleHttp\Promise\PromiseInterface $promise)
    {
        return $promise->getState() === \MailerLite_Woo\GuzzleHttp\Promise\PromiseInterface::PENDING;
    }
    /**
     * Returns true if a promise is fulfilled or rejected.
     *
     * @return bool
     */
    public static function settled(\MailerLite_Woo\GuzzleHttp\Promise\PromiseInterface $promise)
    {
        return $promise->getState() !== \MailerLite_Woo\GuzzleHttp\Promise\PromiseInterface::PENDING;
    }
    /**
     * Returns true if a promise is fulfilled.
     *
     * @return bool
     */
    public static function fulfilled(\MailerLite_Woo\GuzzleHttp\Promise\PromiseInterface $promise)
    {
        return $promise->getState() === \MailerLite_Woo\GuzzleHttp\Promise\PromiseInterface::FULFILLED;
    }
    /**
     * Returns true if a promise is rejected.
     *
     * @return bool
     */
    public static function rejected(\MailerLite_Woo\GuzzleHttp\Promise\PromiseInterface $promise)
    {
        return $promise->getState() === \MailerLite_Woo\GuzzleHttp\Promise\PromiseInterface::REJECTED;
    }
}
