<?php

declare (strict_types=1);
namespace MailerLite_Woo\PhpParser\Node\Expr;

use MailerLite_Woo\PhpParser\Node\Expr;
use MailerLite_Woo\PhpParser\Node\Name;
class ConstFetch extends \MailerLite_Woo\PhpParser\Node\Expr
{
    /** @var Name Constant name */
    public $name;
    /**
     * Constructs a const fetch node.
     *
     * @param Name  $name       Constant name
     * @param array $attributes Additional attributes
     */
    public function __construct(\MailerLite_Woo\PhpParser\Node\Name $name, array $attributes = [])
    {
        $this->attributes = $attributes;
        $this->name = $name;
    }
    public function getSubNodeNames() : array
    {
        return ['name'];
    }
    public function getType() : string
    {
        return 'Expr_ConstFetch';
    }
}
