<?php

declare (strict_types=1);
namespace MailerLite_Woo\PhpParser\Node\Stmt;

use MailerLite_Woo\PhpParser\Node\Identifier;
use MailerLite_Woo\PhpParser\Node\Stmt;
class Label extends \MailerLite_Woo\PhpParser\Node\Stmt
{
    /** @var Identifier Name */
    public $name;
    /**
     * Constructs a label node.
     *
     * @param string|Identifier $name       Name
     * @param array             $attributes Additional attributes
     */
    public function __construct($name, array $attributes = [])
    {
        $this->attributes = $attributes;
        $this->name = \is_string($name) ? new \MailerLite_Woo\PhpParser\Node\Identifier($name) : $name;
    }
    public function getSubNodeNames() : array
    {
        return ['name'];
    }
    public function getType() : string
    {
        return 'Stmt_Label';
    }
}
