<?php

declare (strict_types=1);
namespace MailerLite_Woo\PhpParser\NodeVisitor;

use MailerLite_Woo\PhpParser\Node;
use MailerLite_Woo\PhpParser\NodeVisitorAbstract;
/**
 * Visitor cloning all nodes and linking to the original nodes using an attribute.
 *
 * This visitor is required to perform format-preserving pretty prints.
 */
class CloningVisitor extends \MailerLite_Woo\PhpParser\NodeVisitorAbstract
{
    public function enterNode(\MailerLite_Woo\PhpParser\Node $origNode)
    {
        $node = clone $origNode;
        $node->setAttribute('origNode', $origNode);
        return $node;
    }
}
