<?php

declare (strict_types=1);
/*
 * This file is part of PharIo\Manifest.
 *
 * (c) Arne Blankerts <arne@blankerts.de>, Sebastian Heuer <sebastian@phpeople.de>, Sebastian Bergmann <sebastian@phpunit.de>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
namespace MailerLite_Woo\PharIo\Manifest;

class CopyrightInformation
{
    /** @var AuthorCollection */
    private $authors;
    /** @var License */
    private $license;
    public function __construct(\MailerLite_Woo\PharIo\Manifest\AuthorCollection $authors, \MailerLite_Woo\PharIo\Manifest\License $license)
    {
        $this->authors = $authors;
        $this->license = $license;
    }
    public function getAuthors() : \MailerLite_Woo\PharIo\Manifest\AuthorCollection
    {
        return $this->authors;
    }
    public function getLicense() : \MailerLite_Woo\PharIo\Manifest\License
    {
        return $this->license;
    }
}
