<?php

declare (strict_types=1);
/*
 * This file is part of PharIo\Manifest.
 *
 * (c) Arne Blankerts <arne@blankerts.de>, Sebastian Heuer <sebastian@phpeople.de>, Sebastian Bergmann <sebastian@phpunit.de>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
namespace MailerLite_Woo\PharIo\Manifest;

use MailerLite_Woo\PharIo\Version\VersionConstraint;
abstract class Type
{
    public static function application() : \MailerLite_Woo\PharIo\Manifest\Application
    {
        return new \MailerLite_Woo\PharIo\Manifest\Application();
    }
    public static function library() : \MailerLite_Woo\PharIo\Manifest\Library
    {
        return new \MailerLite_Woo\PharIo\Manifest\Library();
    }
    public static function extension(\MailerLite_Woo\PharIo\Manifest\ApplicationName $application, \MailerLite_Woo\PharIo\Version\VersionConstraint $versionConstraint) : \MailerLite_Woo\PharIo\Manifest\Extension
    {
        return new \MailerLite_Woo\PharIo\Manifest\Extension($application, $versionConstraint);
    }
    /** @psalm-assert-if-true Application $this */
    public function isApplication() : bool
    {
        return \false;
    }
    /** @psalm-assert-if-true Library $this */
    public function isLibrary() : bool
    {
        return \false;
    }
    /** @psalm-assert-if-true Extension $this */
    public function isExtension() : bool
    {
        return \false;
    }
}
