<?php

declare (strict_types=1);
namespace MailerLite_Woo\Http\Client\Common;

use MailerLite_Woo\Http\Client\Exception;
use MailerLite_Woo\Http\Client\Promise;
use MailerLite_Woo\Psr\Http\Message\RequestInterface;
use MailerLite_Woo\Psr\Http\Message\ResponseInterface;
/**
 * Emulates an HTTP Async Client in an HTTP Client.
 *
 * @author Márk Sági-Kazár <mark.sagikazar@gmail.com>
 */
trait HttpAsyncClientEmulator
{
    /**
     * {@inheritdoc}
     *
     * @see HttpClient::sendRequest
     */
    public abstract function sendRequest(\MailerLite_Woo\Psr\Http\Message\RequestInterface $request) : \MailerLite_Woo\Psr\Http\Message\ResponseInterface;
    /**
     * {@inheritdoc}
     *
     * @see HttpAsyncClient::sendAsyncRequest
     */
    public function sendAsyncRequest(\MailerLite_Woo\Psr\Http\Message\RequestInterface $request)
    {
        try {
            return new \MailerLite_Woo\Http\Client\Promise\HttpFulfilledPromise($this->sendRequest($request));
        } catch (\MailerLite_Woo\Http\Client\Exception $e) {
            return new \MailerLite_Woo\Http\Client\Promise\HttpRejectedPromise($e);
        }
    }
}
