<?php

declare (strict_types=1);
namespace MailerLite_Woo\Http\Client\Common\Plugin;

use MailerLite_Woo\Http\Client\Common\Plugin;
use MailerLite_Woo\Http\Message\Authentication;
use MailerLite_Woo\Http\Promise\Promise;
use MailerLite_Woo\Psr\Http\Message\RequestInterface;
/**
 * Send an authenticated request.
 *
 * @author Joel Wurtz <joel.wurtz@gmail.com>
 */
final class AuthenticationPlugin implements \MailerLite_Woo\Http\Client\Common\Plugin
{
    /**
     * @var Authentication An authentication system
     */
    private $authentication;
    public function __construct(\MailerLite_Woo\Http\Message\Authentication $authentication)
    {
        $this->authentication = $authentication;
    }
    /**
     * {@inheritdoc}
     */
    public function handleRequest(\MailerLite_Woo\Psr\Http\Message\RequestInterface $request, callable $next, callable $first) : \MailerLite_Woo\Http\Promise\Promise
    {
        $request = $this->authentication->authenticate($request);
        return $next($request);
    }
}
