<?php

declare (strict_types=1);
namespace MailerLite_Woo\Http\Client\Common\Plugin;

use MailerLite_Woo\Http\Message\Stream\BufferedStream;
use MailerLite_Woo\Http\Promise\Promise;
use MailerLite_Woo\Psr\Http\Message\RequestInterface;
/**
 * Allow body used in request to be always seekable.
 *
 * @author Joel Wurtz <joel.wurtz@gmail.com>
 */
final class RequestSeekableBodyPlugin extends \MailerLite_Woo\Http\Client\Common\Plugin\SeekableBodyPlugin
{
    /**
     * {@inheritdoc}
     */
    public function handleRequest(\MailerLite_Woo\Psr\Http\Message\RequestInterface $request, callable $next, callable $first) : \MailerLite_Woo\Http\Promise\Promise
    {
        if (!$request->getBody()->isSeekable()) {
            $request = $request->withBody(new \MailerLite_Woo\Http\Message\Stream\BufferedStream($request->getBody(), $this->useFileBuffer, $this->memoryBufferSize));
        }
        return $next($request);
    }
}
