<?php

namespace MailerLite_Woo\Http\Client\Promise;

use MailerLite_Woo\Http\Client\Exception;
use MailerLite_Woo\Http\Promise\Promise;
final class HttpRejectedPromise implements \MailerLite_Woo\Http\Promise\Promise
{
    /**
     * @var Exception
     */
    private $exception;
    public function __construct(\MailerLite_Woo\Http\Client\Exception $exception)
    {
        $this->exception = $exception;
    }
    /**
     * {@inheritdoc}
     */
    public function then(callable $onFulfilled = null, callable $onRejected = null)
    {
        if (null === $onRejected) {
            return $this;
        }
        try {
            return new \MailerLite_Woo\Http\Client\Promise\HttpFulfilledPromise($onRejected($this->exception));
        } catch (\MailerLite_Woo\Http\Client\Exception $e) {
            return new self($e);
        }
    }
    /**
     * {@inheritdoc}
     */
    public function getState()
    {
        return \MailerLite_Woo\Http\Promise\Promise::REJECTED;
    }
    /**
     * {@inheritdoc}
     */
    public function wait($unwrap = \true)
    {
        if ($unwrap) {
            throw $this->exception;
        }
    }
}
