<?php

namespace MailerLite_Woo\Http\Message\Authentication;

use MailerLite_Woo\Http\Message\Authentication;
use MailerLite_Woo\Psr\Http\Message\RequestInterface;
/**
 * Authenticate a PSR-7 Request using a token.
 *
 * @author Márk Sági-Kazár <mark.sagikazar@gmail.com>
 */
final class Bearer implements \MailerLite_Woo\Http\Message\Authentication
{
    /**
     * @var string
     */
    private $token;
    /**
     * @param string $token
     */
    public function __construct($token)
    {
        $this->token = $token;
    }
    /**
     * {@inheritdoc}
     */
    public function authenticate(\MailerLite_Woo\Psr\Http\Message\RequestInterface $request)
    {
        $header = \sprintf('Bearer %s', $this->token);
        return $request->withHeader('Authorization', $header);
    }
}
