<?php

namespace MailerLite_Woo\Http\Message\MessageFactory;

use MailerLite_Woo\Http\Message\MessageFactory;
use MailerLite_Woo\Http\Message\StreamFactory\DiactorosStreamFactory;
use MailerLite_Woo\Laminas\Diactoros\Request as LaminasRequest;
use MailerLite_Woo\Laminas\Diactoros\Response as LaminasResponse;
use MailerLite_Woo\Zend\Diactoros\Request as ZendRequest;
use MailerLite_Woo\Zend\Diactoros\Response as ZendResponse;
/**
 * Creates Diactoros messages.
 *
 * @author GeLo <geloen.eric@gmail.com>
 *
 * @deprecated This will be removed in php-http/message2.0. Consider using the official Diactoros PSR-17 factory
 */
final class DiactorosMessageFactory implements \MailerLite_Woo\Http\Message\MessageFactory
{
    /**
     * @var DiactorosStreamFactory
     */
    private $streamFactory;
    public function __construct()
    {
        $this->streamFactory = new \MailerLite_Woo\Http\Message\StreamFactory\DiactorosStreamFactory();
    }
    /**
     * {@inheritdoc}
     */
    public function createRequest($method, $uri, array $headers = [], $body = null, $protocolVersion = '1.1')
    {
        if (\class_exists(\MailerLite_Woo\Laminas\Diactoros\Request::class)) {
            return (new \MailerLite_Woo\Laminas\Diactoros\Request($uri, $method, $this->streamFactory->createStream($body), $headers))->withProtocolVersion($protocolVersion);
        }
        return (new \MailerLite_Woo\Zend\Diactoros\Request($uri, $method, $this->streamFactory->createStream($body), $headers))->withProtocolVersion($protocolVersion);
    }
    /**
     * {@inheritdoc}
     */
    public function createResponse($statusCode = 200, $reasonPhrase = null, array $headers = [], $body = null, $protocolVersion = '1.1')
    {
        if (\class_exists(\MailerLite_Woo\Laminas\Diactoros\Response::class)) {
            return (new \MailerLite_Woo\Laminas\Diactoros\Response($this->streamFactory->createStream($body), $statusCode, $headers))->withProtocolVersion($protocolVersion);
        }
        return (new \MailerLite_Woo\Zend\Diactoros\Response($this->streamFactory->createStream($body), $statusCode, $headers))->withProtocolVersion($protocolVersion);
    }
}
