<?php

namespace MailerLite_Woo\Http\Message\RequestMatcher;

use MailerLite_Woo\Http\Message\RequestMatcher;
use MailerLite_Woo\Psr\Http\Message\RequestInterface;
/**
 * Match a request with a callback.
 *
 * @author Márk Sági-Kazár <mark.sagikazar@gmail.com>
 */
final class CallbackRequestMatcher implements \MailerLite_Woo\Http\Message\RequestMatcher
{
    /**
     * @var callable
     */
    private $callback;
    public function __construct(callable $callback)
    {
        $this->callback = $callback;
    }
    /**
     * {@inheritdoc}
     */
    public function matches(\MailerLite_Woo\Psr\Http\Message\RequestInterface $request)
    {
        return (bool) \call_user_func($this->callback, $request);
    }
}
