<?php

declare (strict_types=1);
namespace MailerLite_Woo\phpDocumentor\Reflection;

use MailerLite_Woo\phpDocumentor\Reflection\DocBlock\Tag;
// phpcs:ignore SlevomatCodingStandard.Classes.SuperfluousInterfaceNaming.SuperfluousSuffix
interface DocBlockFactoryInterface
{
    /**
     * Factory method for easy instantiation.
     *
     * @param array<string, class-string<Tag>> $additionalTags
     */
    public static function createInstance(array $additionalTags = []) : \MailerLite_Woo\phpDocumentor\Reflection\DocBlockFactory;
    /**
     * @param string|object $docblock
     */
    public function create($docblock, ?\MailerLite_Woo\phpDocumentor\Reflection\Types\Context $context = null, ?\MailerLite_Woo\phpDocumentor\Reflection\Location $location = null) : \MailerLite_Woo\phpDocumentor\Reflection\DocBlock;
}
