<?php

/*
 * This file is part of the Prophecy.
 * (c) Konstantin Kudryashov <ever.zet@gmail.com>
 *     Marcello Duarte <marcello.duarte@gmail.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
namespace MailerLite_Woo\Prophecy\Comparator;

use MailerLite_Woo\SebastianBergmann\Comparator\Factory as BaseFactory;
/**
 * Prophecy comparator factory.
 *
 * @author Konstantin Kudryashov <ever.zet@gmail.com>
 */
final class Factory extends \MailerLite_Woo\SebastianBergmann\Comparator\Factory
{
    /**
     * @var Factory
     */
    private static $instance;
    public function __construct()
    {
        parent::__construct();
        $this->register(new \MailerLite_Woo\Prophecy\Comparator\ClosureComparator());
        $this->register(new \MailerLite_Woo\Prophecy\Comparator\ProphecyComparator());
    }
    /**
     * @return Factory
     */
    public static function getInstance()
    {
        if (self::$instance === null) {
            self::$instance = new \MailerLite_Woo\Prophecy\Comparator\Factory();
        }
        return self::$instance;
    }
}
