<?php

/*
 * This file is part of the Prophecy.
 * (c) Konstantin Kudryashov <ever.zet@gmail.com>
 *     Marcello Duarte <marcello.duarte@gmail.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
namespace MailerLite_Woo\Prophecy\Exception\Call;

use MailerLite_Woo\Prophecy\Exception\Prophecy\ObjectProphecyException;
use MailerLite_Woo\Prophecy\Prophecy\ObjectProphecy;
class UnexpectedCallException extends \MailerLite_Woo\Prophecy\Exception\Prophecy\ObjectProphecyException
{
    private $methodName;
    private $arguments;
    public function __construct($message, \MailerLite_Woo\Prophecy\Prophecy\ObjectProphecy $objectProphecy, $methodName, array $arguments)
    {
        parent::__construct($message, $objectProphecy);
        $this->methodName = $methodName;
        $this->arguments = $arguments;
    }
    public function getMethodName()
    {
        return $this->methodName;
    }
    public function getArguments()
    {
        return $this->arguments;
    }
}
