<?php

/*
 * This file is part of the Prophecy.
 * (c) Konstantin Kudryashov <ever.zet@gmail.com>
 *     Marcello Duarte <marcello.duarte@gmail.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
namespace MailerLite_Woo\Prophecy\Exception\Prediction;

use MailerLite_Woo\Prophecy\Prophecy\ObjectProphecy;
class AggregateException extends \RuntimeException implements \MailerLite_Woo\Prophecy\Exception\Prediction\PredictionException
{
    private $exceptions = array();
    private $objectProphecy;
    public function append(\MailerLite_Woo\Prophecy\Exception\Prediction\PredictionException $exception)
    {
        $message = $exception->getMessage();
        $message = \strtr($message, array("\n" => "\n  ")) . "\n";
        $message = empty($this->exceptions) ? $message : "\n" . $message;
        $this->message = \rtrim($this->message . $message);
        $this->exceptions[] = $exception;
    }
    /**
     * @return PredictionException[]
     */
    public function getExceptions()
    {
        return $this->exceptions;
    }
    public function setObjectProphecy(\MailerLite_Woo\Prophecy\Prophecy\ObjectProphecy $objectProphecy)
    {
        $this->objectProphecy = $objectProphecy;
    }
    /**
     * @return ObjectProphecy
     */
    public function getObjectProphecy()
    {
        return $this->objectProphecy;
    }
}
