<?php

/*
 * This file is part of the Prophecy.
 * (c) Konstantin Kudryashov <ever.zet@gmail.com>
 *     Marcello Duarte <marcello.duarte@gmail.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
namespace MailerLite_Woo\Prophecy\Exception\Prophecy;

use MailerLite_Woo\Prophecy\Prophecy\ObjectProphecy;
class ObjectProphecyException extends \RuntimeException implements \MailerLite_Woo\Prophecy\Exception\Prophecy\ProphecyException
{
    private $objectProphecy;
    public function __construct($message, \MailerLite_Woo\Prophecy\Prophecy\ObjectProphecy $objectProphecy)
    {
        parent::__construct($message);
        $this->objectProphecy = $objectProphecy;
    }
    /**
     * @return ObjectProphecy
     */
    public function getObjectProphecy()
    {
        return $this->objectProphecy;
    }
}
