<?php

/*
 * This file is part of the Prophecy.
 * (c) Konstantin Kudryashov <ever.zet@gmail.com>
 *     Marcello Duarte <marcello.duarte@gmail.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
namespace MailerLite_Woo\Prophecy\PhpDocumentor;

use MailerLite_Woo\phpDocumentor\Reflection\DocBlock\Tags\Method;
use MailerLite_Woo\phpDocumentor\Reflection\DocBlockFactory;
use MailerLite_Woo\phpDocumentor\Reflection\Types\ContextFactory;
/**
 * @author Théo FIDRY <theo.fidry@gmail.com>
 *
 * @internal
 */
final class ClassTagRetriever implements \MailerLite_Woo\Prophecy\PhpDocumentor\MethodTagRetrieverInterface
{
    private $docBlockFactory;
    private $contextFactory;
    public function __construct()
    {
        $this->docBlockFactory = \MailerLite_Woo\phpDocumentor\Reflection\DocBlockFactory::createInstance();
        $this->contextFactory = new \MailerLite_Woo\phpDocumentor\Reflection\Types\ContextFactory();
    }
    /**
     * @param \ReflectionClass $reflectionClass
     *
     * @return Method[]
     */
    public function getTagList(\ReflectionClass $reflectionClass)
    {
        try {
            $phpdoc = $this->docBlockFactory->create($reflectionClass, $this->contextFactory->createFromReflector($reflectionClass));
            $methods = array();
            foreach ($phpdoc->getTagsByName('method') as $tag) {
                if ($tag instanceof \MailerLite_Woo\phpDocumentor\Reflection\DocBlock\Tags\Method) {
                    $methods[] = $tag;
                }
            }
            return $methods;
        } catch (\InvalidArgumentException $e) {
            return array();
        }
    }
}
