<?php

/*
 * This file is part of the Prophecy.
 * (c) Konstantin Kudryashov <ever.zet@gmail.com>
 *     Marcello Duarte <marcello.duarte@gmail.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
namespace MailerLite_Woo\Prophecy\PhpDocumentor;

use MailerLite_Woo\phpDocumentor\Reflection\DocBlock;
use MailerLite_Woo\phpDocumentor\Reflection\DocBlock\Tag\MethodTag as LegacyMethodTag;
/**
 * @author Théo FIDRY <theo.fidry@gmail.com>
 *
 * @internal
 */
final class LegacyClassTagRetriever implements \MailerLite_Woo\Prophecy\PhpDocumentor\MethodTagRetrieverInterface
{
    /**
     * @param \ReflectionClass $reflectionClass
     *
     * @return LegacyMethodTag[]
     */
    public function getTagList(\ReflectionClass $reflectionClass)
    {
        $phpdoc = new \MailerLite_Woo\phpDocumentor\Reflection\DocBlock($reflectionClass->getDocComment());
        return $phpdoc->getTagsByName('method');
    }
}
