<?php

declare (strict_types=1);
/*
 * This file is part of phpunit/php-code-coverage.
 *
 * (c) Sebastian Bergmann <sebastian@phpunit.de>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
namespace MailerLite_Woo\SebastianBergmann\CodeCoverage\Report;

use function addcslashes;
use function dirname;
use function file_put_contents;
use function serialize;
use function sprintf;
use MailerLite_Woo\SebastianBergmann\CodeCoverage\CodeCoverage;
use MailerLite_Woo\SebastianBergmann\CodeCoverage\Directory;
use MailerLite_Woo\SebastianBergmann\CodeCoverage\Driver\WriteOperationFailedException;
final class PHP
{
    public function process(\MailerLite_Woo\SebastianBergmann\CodeCoverage\CodeCoverage $coverage, ?string $target = null) : string
    {
        $buffer = \sprintf('<?php
return \\unserialize(\'%s\');', \addcslashes(\serialize($coverage), "'"));
        if ($target !== null) {
            \MailerLite_Woo\SebastianBergmann\CodeCoverage\Directory::create(\dirname($target));
            if (@\file_put_contents($target, $buffer) === \false) {
                throw new \MailerLite_Woo\SebastianBergmann\CodeCoverage\Driver\WriteOperationFailedException($target);
            }
        }
        return $buffer;
    }
}
