<?php

declare (strict_types=1);
/*
 * This file is part of PHPUnit.
 *
 * (c) Sebastian Bergmann <sebastian@phpunit.de>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
namespace MailerLite_Woo\PHPUnit\Framework\MockObject\Builder;

use MailerLite_Woo\PHPUnit\Framework\MockObject\Stub\Stub;
use Throwable;
/**
 * @no-named-arguments Parameter names are not covered by the backward compatibility promise for PHPUnit
 */
interface InvocationStubber
{
    public function will(\MailerLite_Woo\PHPUnit\Framework\MockObject\Stub\Stub $stub) : \MailerLite_Woo\PHPUnit\Framework\MockObject\Builder\Identity;
    /** @return self */
    public function willReturn($value, ...$nextValues);
    /**
     * @param mixed $reference
     *
     * @return self
     */
    public function willReturnReference(&$reference);
    /**
     * @param array<int, array<int, mixed>> $valueMap
     *
     * @return self
     */
    public function willReturnMap(array $valueMap);
    /**
     * @param int $argumentIndex
     *
     * @return self
     */
    public function willReturnArgument($argumentIndex);
    /**
     * @param callable $callback
     *
     * @return self
     */
    public function willReturnCallback($callback);
    /** @return self */
    public function willReturnSelf();
    /**
     * @param mixed $values
     *
     * @return self
     */
    public function willReturnOnConsecutiveCalls(...$values);
    /** @return self */
    public function willThrowException(\Throwable $exception);
}
