<?php

declare (strict_types=1);
/*
 * This file is part of PHPUnit.
 *
 * (c) Sebastian Bergmann <sebastian@phpunit.de>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
namespace MailerLite_Woo\PHPUnit\Framework\MockObject;

use function sprintf;
/**
 * @internal This class is not covered by the backward compatibility promise for PHPUnit
 */
final class IncompatibleReturnValueException extends \MailerLite_Woo\PHPUnit\Framework\Exception implements \MailerLite_Woo\PHPUnit\Framework\MockObject\Exception
{
    /**
     * @param mixed $value
     */
    public function __construct(\MailerLite_Woo\PHPUnit\Framework\MockObject\ConfigurableMethod $method, $value)
    {
        parent::__construct(\sprintf('Method %s may not return value of type %s, its return declaration is "%s"', $method->getName(), \is_object($value) ? \get_class($value) : \gettype($value), $method->getReturnTypeDeclaration()));
    }
}
