<?php

declare (strict_types=1);
/*
 * This file is part of PHPUnit.
 *
 * (c) Sebastian Bergmann <sebastian@phpunit.de>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
namespace MailerLite_Woo\PHPUnit\Framework\MockObject\Rule;

use MailerLite_Woo\PHPUnit\Framework\ExpectationFailedException;
use MailerLite_Woo\PHPUnit\Framework\MockObject\Invocation as BaseInvocation;
use MailerLite_Woo\PHPUnit\Framework\MockObject\Verifiable;
use MailerLite_Woo\PHPUnit\Framework\SelfDescribing;
/**
 * @no-named-arguments Parameter names are not covered by the backward compatibility promise for PHPUnit
 */
interface ParametersRule extends \MailerLite_Woo\PHPUnit\Framework\SelfDescribing, \MailerLite_Woo\PHPUnit\Framework\MockObject\Verifiable
{
    /**
     * @throws ExpectationFailedException if the invocation violates the rule
     */
    public function apply(\MailerLite_Woo\PHPUnit\Framework\MockObject\Invocation $invocation) : void;
    public function verify() : void;
}
