<?php

declare (strict_types=1);
/*
 * This file is part of sebastian/type.
 *
 * (c) Sebastian Bergmann <sebastian@phpunit.de>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
namespace MailerLite_Woo\SebastianBergmann\Type;

final class GenericObjectType extends \MailerLite_Woo\SebastianBergmann\Type\Type
{
    /**
     * @var bool
     */
    private $allowsNull;
    public function __construct(bool $nullable)
    {
        $this->allowsNull = $nullable;
    }
    public function isAssignable(\MailerLite_Woo\SebastianBergmann\Type\Type $other) : bool
    {
        if ($this->allowsNull && $other instanceof \MailerLite_Woo\SebastianBergmann\Type\NullType) {
            return \true;
        }
        if (!$other instanceof \MailerLite_Woo\SebastianBergmann\Type\ObjectType) {
            return \false;
        }
        return \true;
    }
    public function name() : string
    {
        return 'object';
    }
    public function allowsNull() : bool
    {
        return $this->allowsNull;
    }
}
