<?php

declare (strict_types=1);
namespace MailerLite_Woo\Http\Client\Common\Plugin;

use MailerLite_Woo\Psr\Http\Client\ClientExceptionInterface;
use MailerLite_Woo\Psr\Http\Message\RequestInterface;
use MailerLite_Woo\Psr\Http\Message\ResponseInterface;
/**
 * Records history of HTTP calls.
 *
 * @author Joel Wurtz <joel.wurtz@gmail.com>
 */
interface Journal
{
    /**
     * Record a successful call.
     *
     * @param RequestInterface  $request  Request use to make the call
     * @param ResponseInterface $response Response returned by the call
     */
    public function addSuccess(\MailerLite_Woo\Psr\Http\Message\RequestInterface $request, \MailerLite_Woo\Psr\Http\Message\ResponseInterface $response);
    /**
     * Record a failed call.
     *
     * @param RequestInterface         $request   Request use to make the call
     * @param ClientExceptionInterface $exception Exception returned by the call
     */
    public function addFailure(\MailerLite_Woo\Psr\Http\Message\RequestInterface $request, \MailerLite_Woo\Psr\Http\Client\ClientExceptionInterface $exception);
}
