<?php

namespace MailerLite_Woo\Http\Message;

use MailerLite_Woo\Psr\Http\Message\RequestInterface;
use MailerLite_Woo\Psr\Http\Message\ResponseInterface;
/**
 * Formats a request and/or a response as a string.
 *
 * @author Márk Sági-Kazár <mark.sagikazar@gmail.com>
 */
interface Formatter
{
    /**
     * Formats a request.
     *
     * @return string
     */
    public function formatRequest(\MailerLite_Woo\Psr\Http\Message\RequestInterface $request);
    /**
     * Formats a response.
     *
     * @return string
     */
    public function formatResponse(\MailerLite_Woo\Psr\Http\Message\ResponseInterface $response);
}
