<?php

namespace MailerLite_Woo\Http\Message\Formatter;

use MailerLite_Woo\Http\Message\Formatter;
use MailerLite_Woo\Psr\Http\Message\RequestInterface;
use MailerLite_Woo\Psr\Http\Message\ResponseInterface;
/**
 * Normalize a request or a response into a string or an array.
 *
 * @author Joel Wurtz <joel.wurtz@gmail.com>
 * @author Márk Sági-Kazár <mark.sagikazar@gmail.com>
 */
class SimpleFormatter implements \MailerLite_Woo\Http\Message\Formatter
{
    /**
     * {@inheritdoc}
     */
    public function formatRequest(\MailerLite_Woo\Psr\Http\Message\RequestInterface $request)
    {
        return \sprintf('%s %s %s', $request->getMethod(), $request->getUri()->__toString(), $request->getProtocolVersion());
    }
    /**
     * {@inheritdoc}
     */
    public function formatResponse(\MailerLite_Woo\Psr\Http\Message\ResponseInterface $response)
    {
        return \sprintf('%s %s %s', $response->getStatusCode(), $response->getReasonPhrase(), $response->getProtocolVersion());
    }
}
