<?php

namespace MailerLite_Woo\Http\Message\UriFactory;

use MailerLite_Woo\Http\Message\UriFactory;
use MailerLite_Woo\Laminas\Diactoros\Uri as LaminasUri;
use MailerLite_Woo\Psr\Http\Message\UriInterface;
use MailerLite_Woo\Zend\Diactoros\Uri as ZendUri;
/**
 * Creates Diactoros URI.
 *
 * @author David de Boer <david@ddeboer.nl>
 *
 * @deprecated This will be removed in php-http/message2.0. Consider using the official Diactoros PSR-17 factory
 */
final class DiactorosUriFactory implements \MailerLite_Woo\Http\Message\UriFactory
{
    /**
     * {@inheritdoc}
     */
    public function createUri($uri)
    {
        if ($uri instanceof \MailerLite_Woo\Psr\Http\Message\UriInterface) {
            return $uri;
        } elseif (\is_string($uri)) {
            if (\class_exists(\MailerLite_Woo\Laminas\Diactoros\Uri::class)) {
                return new \MailerLite_Woo\Laminas\Diactoros\Uri($uri);
            }
            return new \MailerLite_Woo\Zend\Diactoros\Uri($uri);
        }
        throw new \InvalidArgumentException('URI must be a string or UriInterface');
    }
}
