<?php

namespace MailerLite_Woo\Http\Message\UriFactory;

use MailerLite_Woo\Http\Message\UriFactory;
use MailerLite_Woo\Psr\Http\Message\UriInterface;
use MailerLite_Woo\Slim\Http\Uri;
/**
 * Creates Slim 3 URI.
 *
 * @author Mika Tuupola <tuupola@appelsiini.net>
 *
 * @deprecated This will be removed in php-http/message2.0. Consider using the official Slim PSR-17 factory
 */
final class SlimUriFactory implements \MailerLite_Woo\Http\Message\UriFactory
{
    /**
     * {@inheritdoc}
     */
    public function createUri($uri)
    {
        if ($uri instanceof \MailerLite_Woo\Psr\Http\Message\UriInterface) {
            return $uri;
        }
        if (\is_string($uri)) {
            return \MailerLite_Woo\Slim\Http\Uri::createFromString($uri);
        }
        throw new \InvalidArgumentException('URI must be a string or UriInterface');
    }
}
